pub struct Message {
  pub role: String,
  pub content: String,
}

pub fn get_messages() -> Vec<Message> {
 vec![
          Message {
        role: "assistant".into(),
        content: "Hello doctor, I've been experiencing severe headaches several times a month. They usually come with nausea and sensitivity to light. Sometimes I see flickering lights before they start. I've tried over-the-counter painkillers but they don't help much.".into()
    },
    Message {
        role: "user".into(),
        content: "I understand how difficult migraines can be. From what you're describing - the visual aura, nausea, and light sensitivity - this sounds like classic migraine. Can you tell me how long these episodes typically last?".into()
    },
    Message {
        role: "assistant".into(),
        content: "They usually last anywhere from 4 to 24 hours. The worst part is that I have to stay in a dark room and can't work during these episodes. They seem to happen more often when I'm stressed at work.".into()
    },
    Message {
        role: "user".into(),
        content: "Thank you for those details. Stress is indeed a common trigger for migraines. I'd like to suggest a two-pronged approach: first, a preventive medication like propranolol to reduce frequency, and second, a triptan medication to take when you feel a migraine coming on. We should also start a headache diary to track your triggers. Would you be comfortable trying this treatment plan?".into()
    },
    Message {
        role: "assistant".into(),
        content: "Yes, I'd be willing to try that. I've heard about headache diaries - what exactly should I record in it?".into()
    },
    Message {
        role: "user".into(),
        content: "In your headache diary, please record: the date and time of each migraine, what you ate that day, stress levels, sleep patterns, and any other symptoms. This will help us identify patterns and triggers. Use your phone to note these details. I'll prescribe sumatriptan 50mg - take one tablet at the first sign of a migraine. For prevention, start with propranolol 40mg daily. Let's schedule a follow-up in 4 weeks to assess how you're responding to the treatment.".into()
    },
    Message {
        role: "assistant".into(),
        content: "That sounds good. Should I be aware of any side effects from these medications? And should I continue with my regular exercise routine?".into()
    },
    Message {
        role: "user".into(),
        content: "Common side effects of sumatriptan can include mild nausea, dizziness, or chest tightness. With propranolol, you might notice slight fatigue initially. Both are generally well-tolerated. Regular exercise is actually beneficial for migraine prevention - continue your routine but stay hydrated and avoid very intense workouts during a migraine attack. If you experience any concerning side effects, contact me immediately. Also, remember to avoid common migraine triggers like irregular meals and poor sleep patterns.".into()
    },
    ]
    }
